> For the complete documentation index, see [llms.txt](https://docs.cortex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cortex.io/api/readme/integrations/azure-active-directory.md).

# Azure Active Directory (Entra ID) API

Use these operations to interact with the [Azure Active Directory (Entra ID) integration](/ingesting-data-into-cortex/integrations/entraid.md) in Cortex.

## Operations

## GET /api/v1/active-directory/default-configuration

> Retrieve a configuration

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"[Integrations] Azure Active Directory"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"ActiveDirectoryConfiguration":{"required":["clientId","clientSecretLastFour","tenantId"],"type":"object","properties":{"clientId":{"type":"string"},"clientSecretLastFour":{"type":"string"},"groupsFilter":{"type":"string"},"tenantId":{"type":"string"}}},"ErrorResponse":{"required":["message","type"],"type":"object","properties":{"details":{"type":"string"},"errorCode":{"type":"string"},"gatewayHttpStatus":{"type":"integer","format":"int32"},"httpStatus":{"type":"integer","format":"int32"},"message":{"type":"string"},"requestId":{"type":"string"},"type":{"type":"string","enum":["INTEGRATION_MISSING","INTEGRATION_UNREGISTERED","INTEGRATION_UNSUPPORTED","INTEGRATION_GRAPHQL_ERROR","INTEGRATION_BAD_REQUEST","INTEGRATION_UNAUTHORIZED","INTEGRATION_FORBIDDEN","INTEGRATION_NOT_FOUND","INTEGRATION_UNPROCESSABLE_CONTENT","INTEGRATION_RATE_LIMITED","INTEGRATION_INTERNAL_ERROR","INTEGRATION_NOT_IMPLEMENTED","INTEGRATION_BAD_GATEWAY","INTEGRATION_UNAVAILABLE","INTEGRATION_GATEWAY_TIMEOUT","INTEGRATION_TIMED_OUT","INTEGRATION_CACHE_ERROR","INTEGRATION_UNHANDLED_HTTP_ERROR","INTEGRATION_UNHANDLED_EXCEPTION","INTEGRATION_UNEXPECTED_ERROR","ILLEGAL_ARGUMENT_ERROR","BAD_REQUEST","FORBIDDEN","NOT_FOUND","REQUEST_TIMEOUT","CONFLICT","UNHANDLED_EXCEPTION","UNCATEGORIZED","SERVICE_CREATOR","UNKNOWN_HOST","TOO_MANY_REQUESTS"]}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/active-directory/default-configuration":{"get":{"operationId":"AzureActiveDirectoryGetConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActiveDirectoryConfiguration"}}},"description":"Successfully found configuration"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Configuration not found"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Retrieve a configuration","tags":["[Integrations] Azure Active Directory"]}}}}
```

{% openapi src="/files/CbTEDDUNqvQzgeHOEGde" path="/api/v1/active-directory/configuration" method="post" %}
[swagger.json](https://1461985288-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FnPgS8L9MAPtoOtdWdeDp%2Fuploads%2Fgit-blob-5501a9421f11a1caadd6a119acf7b2f48b53d347%2Fswagger.json?alt=media)
{% endopenapi %}

{% openapi src="/files/CbTEDDUNqvQzgeHOEGde" path="/api/v1/active-directory/configuration" method="put" %}
[swagger.json](https://1461985288-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FnPgS8L9MAPtoOtdWdeDp%2Fuploads%2Fgit-blob-5501a9421f11a1caadd6a119acf7b2f48b53d347%2Fswagger.json?alt=media)
{% endopenapi %}

{% openapi src="/files/CbTEDDUNqvQzgeHOEGde" path="/api/v1/active-directory/configuration/validate" method="post" %}
[swagger.json](https://1461985288-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FnPgS8L9MAPtoOtdWdeDp%2Fuploads%2Fgit-blob-5501a9421f11a1caadd6a119acf7b2f48b53d347%2Fswagger.json?alt=media)
{% endopenapi %}

{% openapi src="/files/CbTEDDUNqvQzgeHOEGde" path="/api/v1/active-directory/configurations" method="delete" %}
[swagger.json](https://1461985288-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FnPgS8L9MAPtoOtdWdeDp%2Fuploads%2Fgit-blob-5501a9421f11a1caadd6a119acf7b2f48b53d347%2Fswagger.json?alt=media)
{% endopenapi %}
